Bug 145727 - CS4614 not sound in Fedora 3
CS4614 not sound in Fedora 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 17:13 EST by Henry F. Llerena
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 05:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry F. Llerena 2005-01-20 17:13:20 EST
Description of problem:

The computer don t sound, the drivers and modules its up, I usr xmms
to play an file or CD by not sound.

Version-Release number of selected component (if applicable):

The Fedora version is 
Linux machine 2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 i686
i386 GNU/Linux

The machine is an HP Brio BA600, the sound card is an Crystal
SoundFusion CS4614/22/24


Additional info:

I use alsaconf, aumix, mkix, gnome-volume-control, and the problem
continue.

This is the /etc/modules.conf

alias char-major-116 snd
alias snd-card-0 snd-card-cs461x
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
options snd snd_major=116 snd_cards_limit=1 snd_device_mode=0666
snd_device_gid=
0 snd_device_uid=0
options snd-card-cs461x snd_index=0 snd_id=cs46xx snd_dac_frame_size=4
snd_adc_f
rame_size=4

and lsmod
Module                  Size  Used by
parport_pc             24705  1 
lp                     11565  0 
parport                41737  2 parport_pc,lp
autofs4                24005  0 
i2c_dev                10433  0 
i2c_core               22081  1 i2c_dev
smbfs                  66617  2 
sunrpc                160421  1 
sr_mod                 17381  1 
ide_scsi               16713  1 
scsi_mod              118417  2 sr_mod,ide_scsi
nls_utf8                1985  2 
ntfs                  132624  1 
vfat                   14785  2 
fat                    45409  1 vfat
dm_mod                 54741  0 
md5                     4033  1 
ipv6                  232577  8 
joydev                  8705  0 
uhci_hcd               31449  0 
snd_cs46xx             85961  1 
snd_rawmidi            26725  1 snd_cs46xx
snd_seq_device          8137  1 snd_rawmidi
snd_ac97_codec         64401  1 snd_cs46xx
snd_pcm_oss            47609  0 
snd_mixer_oss          17217  1 snd_pcm_oss
snd_pcm                97993  2 snd_cs46xx,snd_pcm_oss
snd_timer              29765  1 snd_pcm
snd                    54053  10
snd_cs46xx,snd_rawmidi,snd_seq_device,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  1 snd
snd_page_alloc          9673  2 snd_cs46xx,snd_pcm
gameport                4801  1 snd_cs46xx
3c59x                  36585  0 
floppy                 58609  0 
ext3                  116809  1 
jbd                    74969  1 ext3
Comment 1 Pontus Enhager 2005-01-24 02:31:42 EST
ok i see this too

02:0c.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24
[CrystalClear SoundFusion Audio Accelerator] (rev 01)

sound is not working on kernels newer than kernel-2.6.9-1.681_FC3

workaround mentioned in other similar bugs with other sound cards
(muting headphone and line) does not work
Comment 2 Martin Stransky 2005-01-24 04:49:32 EST
If you have "Headphone Jack Sense" mixer control, try to turn it off.
Comment 3 Henry F. Llerena 2005-01-24 08:46:47 EST
I resolve this problem. 

I download the lastest alsa drivers and conpile e install this drivers.


Thanks.
Comment 4 Pontus Enhager 2005-01-24 13:15:42 EST
Martin:
I do not have "Headphone Jack Sense" but turning the "headphone" down
does not help me

Henry:
what version of alsa do you have now ?

I have:
alsa-lib-1.0.6-7.FC3
alsa-utils-1.0.6-3
Comment 5 Henry F. Llerena 2005-01-24 15:20:04 EST
I have:
alsa-lib-1.0.6-3
alsa-utils-1.0.6-3

I download the source and compile the drivers. the downloaded file is
alsa-driver-1.0.8rc2.tar.bz2 from the alsa site.

Comment 6 Martin Stransky 2005-01-25 04:19:33 EST
You can try new kernel in devel branch, there is alsa-driver-1.0.8...

Note You need to log in before you can comment on or make changes to this bug.